
###############################################################################
#
# RSSBlog::Publish::Rss.pm 0.1
# Aaron Straup Cope <aaron@aaronland.net>
#
# Based on (to put it lightly) Jonathan Eisenzopf's Weblog
# http://webreference.com/perl/tutorial/17
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
###############################################################################

# $Id: Rss.pm,v 1.8 2001/02/01 13:41:00 asc Exp asc $

package RSSBlog::Publish::Rss;
use strict;

sub init {
    my $self = shift;
    return 1;
}

sub build_rss {
    my $self = shift;
    my $args = { @_ };

    my $rss  = $args->{'rss'};

    foreach my $version ( "1.0","0.91","0.9" ) { 
	
	my $outfile    = $self->channel_data(join("","rss",$version)) || next;

        #
        # Sigh...
        foreach my $item (@{ $rss->{'items'} }) {
            map { $item->{$_} = $self->encode($item->{$_}) } qw (title link description);
        }

	$rss->{output} = $version;

	$rss->save($outfile) || &{ $self->last_error("Failed to save '$outfile' : $!"); return 0; }; 
    } 

    return 1;
}

return 1;
